Versioni di Go supportate

Mantieni tutto organizzato con le raccolte Salva e classifica i contenuti in base alle tue preferenze.

Le librerie client di Cloud per Go sono compatibili con almeno le tre principali release Go più recenti e sono compatibili con almeno un runtime GA per App Engine e Cloud Functions. Ciò significa che le librerie client di Cloud per Go sono compatibili con tutte le release di Go attualmente supportate con almeno una release aggiuntiva. Ad esempio, se la release attuale di Go è Go 1.19, le librerie client di Cloud sono compatibili con almeno Go 1.19, Go 1.18 e Go 1.17. Per saperne di più sulle librerie client di Cloud, consulta la spiegazione delle librerie client.

Per nuovi sviluppi

Quando avvii un nuovo progetto, ti consigliamo di scegliere la release attuale di Go, se possibile. Questo garantisce che il runtime rientri nelle release Go supportate e riceva patch di sicurezza critiche.

Mantenere aggiornati i sistemi di produzione

Mantenere i tuoi sistemi di produzione sui runtime di Go supportati è il modo migliore per assicurarti di ricevere correzioni critiche di sicurezza e bug. Le nostre librerie client di Go Cloud incrementano una versione secondaria quando influiscono sulla compatibilità con una versione di runtime di Go precedente. Per ulteriori informazioni sull'uso delle versioni principali e secondarie, consulta il controllo delle versioni semantico.

Dove trovare le informazioni sulla versione

Per scoprire quali versioni di Go sono attualmente supportate, consulta il file google-cloud-go README.